---
title: glab schedule list
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Get the list of schedules.

```plaintext
glab schedule list [flags]
```

## Examples

```console
# List all scheduled pipelines
$ glab schedule list
> Showing schedules for project gitlab-org/cli
> ID  Description                    Cron            Ref    Active
> 1   Daily build                   0 0 * * *       main   true
> 2   Weekly deployment             0 0 * * 0       main   true

```

## Options

```plaintext
  -p, --page int       Page number. (default 1)
  -P, --per-page int   Number of items to list per page. (default 30)
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
